## ampr-ripd 1.15

=== Makefile ===
#
# Makefile for ampr-ripd
#

BASEDIR = /usr
SBINDIR = $(BASEDIR)/sbin
MANDIR = $(BASEDIR)/man/man1
SCACHEDIR = /var/lib/ampr-ripd

# no need to run ampr-ripd as root
OWN = daemon
GRP = daemon

CC = gcc

#
# Choose one of the followinf DOPTs if you need debug
#

# Full debug including Netlink
#DOPT = -Wall -O2 -D HAVE_DEBUG -D NL_DEBUG

# Full debug
#DOPT = -Wall -O2 -D HAVE_DEBUG

COPT = -Wall -O2
LOPT =

ampr-ripd:	ampr-ripd.c
	$(CC) $(COPT) $(DOPT) $(LOPT) -o ampr-ripd ampr-ripd.c

all:	ampr-ripd

clean:
	rm -f ampr-ripd

install:	ampr-ripd
	strip ampr-ripd
	install -m 755 -o $(OWN) -g $(GRP) -d          $(SCACHEDIR)
	install -m 755 -o $(OWN) -g $(GRP) ampr-ripd   $(SBINDIR)
	install -m 644 -o $(OWN) -g $(GRP) ampr-ripd.1 $(MANDIR)

=== debian/changelog ===
ampr-ripd (1.15-1) unstable; urgency=medium

  * Initial release (Closes: #833890) 

 -- Ana Custura <ana@netstat.org.uk>  Sat, 24 Sep 2016 21:41:38 +0100

=== debian/control ===
Source: ampr-ripd
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper (>=9), dh-systemd
Standards-Version: 3.9.8
Homepage: http://www.yo2loj.ro/hamprojects/
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/ampr-ripd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/ampr-ripd.git

Package: ampr-ripd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Routing daemon for AMPRnet gateway announcements
 AMPRnet RIPv4 Listener and route injector daemon, used for participating in
 the amateur radio 44/8 AMPRnet gateways tunnel network. It updates IPIP tunnel
 routes based on incoming RIP updates from a master server.

## ampr-ripd 2.3

=== debian/changelog ===
ampr-ripd (2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Removes fuzz in makefile_flags patch 
  * Removes manual patch which was adopted upstream
  * Updates standards version to 4.1.0

 -- Ana Custura <ana@netstat.org.uk>  Thu, 31 Aug 2017 23:28:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Ana Custura <ana@netstat.org.uk>
 Build-Depends: debhelper (>=9), dh-systemd
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0 
 Homepage: http://www.yo2loj.ro/hamprojects/
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/ampr-ripd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/ampr-ripd.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@ --with=systemd 

override_dh_installinit:
	dh_installinit --no-start --noscripts

override_dh_auto_install:

## ampr-ripd 2.4

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 BASEDIR = /usr
 SBINDIR = $(BASEDIR)/sbin
-MANDIR = $(BASEDIR)/man/man1
+MANDIR = $(BASEDIR)/share/man/man1
 SCACHEDIR = /var/lib/ampr-ripd
 
 # no need to run ampr-ripd as root
@@ -18,10 +18,10 @@
 #
 
 # Full debug including Netlink
-#DOPT = -Wall -O2 -D HAVE_DEBUG -D NL_DEBUG
+#DOPT = -D HAVE_DEBUG -D NL_DEBUG
 
 # Full debug
-#DOPT = -Wall -O2 -D HAVE_DEBUG
+#DOPT = -D HAVE_DEBUG
 
 COPT = -Wall -O2
 LOPT =

=== debian/changelog ===
ampr-ripd (2.4-1) unstable; urgency=medium

  * New upstream version 2.4
  * Updates standards version to 4.3.0
  * Bumps debhelper version to 12

 -- Ana Custura <ana@netstat.org.uk>  Sat, 05 Jan 2019 22:21:20 +0000

ampr-ripd (2.3-2) unstable; urgency=medium

  * Updates standards version to 4.2.0
  * Bumps debhelper version to 11
  * Removes unnecessary dependency on dh-systemd
  * Removes man.diff file

 -- Ana Custura <ana@netstat.org.uk>  Tue, 24 Jul 2018 14:15:50 +0100

=== debian/control ===
Source: ampr-ripd
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper (>=12)
Standards-Version: 4.3.0
Homepage: http://www.yo2loj.ro/hamprojects/
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/ampr-ripd.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/ampr-ripd

Package: ampr-ripd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Routing daemon for AMPRnet gateway announcements
 AMPRnet RIPv4 Listener and route injector daemon, used for participating in
 the amateur radio 44/8 AMPRnet gateways tunnel network. It updates IPIP tunnel
 routes based on incoming RIP updates from a master server.

=== debian/watch ===
version=4
http://www.yo2loj.ro/hamprojects ampr-ripd-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## ampr-ripd 2.4.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 #DOPT = -D HAVE_DEBUG -D NL_DEBUG
 
 # Full debug
-#DOPT = -D HAVE_DEBUG
+DOPT = -D HAVE_DEBUG
 
 COPT = -Wall -O2
 LOPT =

=== debian/changelog ===
ampr-ripd (2.4.1-1) unstable; urgency=medium

  [ Ana Custura ]
  * New upstream version 2.4.1
  * Update watch file
  * Update patches
  * Remove patch now applied upstream
  * Add Rules-Requires-Root to debian/control

  [ Daniele Forsi ]
  * Add patch to fix spelling errors
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.1, no changes needed.
  * Install examples


  [ acute ]
 -- Ana Custura <ana@netstat.org.uk>  Thu, 13 Jan 2022 14:10:28 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>=12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: http://www.yo2loj.ro/hamprojects/
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/ampr-ripd.git
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/ampr-ripd
+Rules-Requires-Root: no
 
 Package: ampr-ripd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@

override_dh_installinit:
	dh_installinit --no-start --noscripts

override_dh_auto_install:

=== debian/watch ===
version=4
http://www.yo2loj.ro/hamprojects/ampr-ripd-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
